Page MenuHomePhabricator

2FA recovery codes go on to 2 pages when printed.
Closed, ResolvedPublic

Description

	<brion>	btw, printing the 2fa setup page goes _just_ over one full page. the qr code and the scratch codes fit on 8.25x11" but the final box overflows to page 2

We should maybe offer an option to only print the recovery codes or something.

Event Timeline

Bawolff created this task.Nov 12 2016, 9:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 12 2016, 9:04 PM
brion added a subscriber: brion.Nov 12 2016, 9:06 PM

Note that the text, qr code, recovery codes, and final form are all in a very narrow column. Could either remove the column width so the text isn't so tall, or make use of two column layout.

Not a fatal problem but it will confuse me someday when I look at my recovery codes and ask "where was page 2 of 2?" :)

Or if we could offer a view that only prints the scratch codes?

Xaosflux triaged this task as Low priority.Nov 12 2016, 11:49 PM
demon added a subscriber: demon.Nov 13 2016, 1:43 AM

Or if we could offer a view that only prints the scratch codes?

Or just adjust the printable stylesheets a tiny bit :)

TheDJ added a subscriber: TheDJ.Nov 16 2016, 4:49 PM

That whole page layout could use some work really. The narrow columns don't help. The fact that it has a bad print style doesn't help. the fact that all advice in step3 is one blob of text without line breaks, doesn't help :)

demon removed a subscriber: demon.Mar 9 2017, 9:38 PM

Change 354497 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/OATHAuth@master] Prevent pagebreaking in the middle of the form

https://gerrit.wikimedia.org/r/354497

TheDJ claimed this task.May 19 2017, 2:42 PM

Change 354497 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] Prevent pagebreaking in the middle of the form

https://gerrit.wikimedia.org/r/354497

Reedy closed this task as Resolved.May 20 2017, 12:27 PM
Reedy removed a project: Patch-For-Review.